--Thanks to Nullberri, Simca, and Warla for helping out with this

local function calculateName(HP, POW, SPD)
	local result, diff3, diff4, diff5, diff6, diff7, diff8, diff9, diff0, diff1, diff2
	diff3 = math.abs(.5 - HP) + math.abs(.5 - POW) + math.abs(.5 - SPD)
	diff4 = math.abs(0 - HP) + math.abs(2 - POW) + math.abs(0 - SPD)
	diff5 = math.abs(0 - HP) + math.abs(0 - POW) + math.abs(2 - SPD)
	diff6 = math.abs(2 - HP) + math.abs(0 - POW) + math.abs(0 - SPD)
	diff7 = math.abs(.9 - HP) + math.abs(.9 - POW) + math.abs(0 - SPD)
	diff8 = math.abs(0 - HP) + math.abs(.9 - POW) + math.abs(.9 - SPD)
	diff9 = math.abs(.9 - HP) + math.abs(0 - POW) + math.abs(.9 - SPD)
	diff0 = math.abs(.4 - HP) + math.abs(.9 - POW) + math.abs(.4 - SPD)
	diff1 = math.abs(.4 - HP) + math.abs(.4 - POW) + math.abs(.9 - SPD)
	diff2 = math.abs(.9 - HP) + math.abs(.4 - POW) + math.abs(.4 - SPD)
	
	local minDiff = math.min(diff3, diff4, diff5, diff6, diff7, diff8, diff9, diff0, diff1, diff2)
	if (diff3 == minDiff) then
		--result = "3/13"
		result = "B/B"
		--result = "Balanced"
	elseif (diff4 == minDiff) then
		--result = "4/14"
		result = "P/P"
		--result = "Powerful"
	elseif (diff5 == minDiff) then
		--result = "5/15"
		result = "S/S"
		--result = "Speedy"
	elseif (diff6 == minDiff) then
		--result = "6/16"
		result = "H/H"
		--result = "Hulking"
	elseif (diff7 == minDiff) then
		--result = "7/17"
		result = "H/P"
		--result = "Brawny"
	elseif (diff8 == minDiff) then
		--result = "8/18"
		result = "P/S"
		--result = "Intense"
	elseif (diff9 == minDiff) then
		--result = "9/19"
		result = "H/S"
		--result = "Vigorous"
	elseif (diff0 == minDiff) then
		--result = "10/20"
		result = "P/B"
		--result = "Strong"
	elseif (diff1 == minDiff) then
		--result = "11/21"
		result = "S/B"
		--result = "Quick"
	elseif (diff2 == minDiff) then
		--result = "12/22"
		result = "H/B"
		--result = "Healthy"
	else
		result = "ERR-MTH"
		--result = "("..nSpeciesID.."("..math.round(nBreed_HP, 3).."-"..math.round(nBreed_Pow, 3).."-"..math.round(nBreed_Spd, 3)
		--result = rarity.."-"..level.."-"..nSpeciesID
	end
	
	return result
end

function GetBreedID_Journal(nPetID)
	if (nPetID) then
		local nHealth, nMaxHP, nPower, nSpeed, nQuality = C_PetJournal.GetPetStats(nPetID)
		local nSpeciesID, customName, nLevel, xp, maxXp, displayID, petName, petIcon, petType, creatureID = C_PetJournal.GetPetInfoByPetID(nPetID);
		local nQL = (1 + ((nQuality - 1) / 10)) * nLevel
		
		--Calculate breed values
		nBreed_HP = ((nMaxHP - 100) / (5 * nQL)) - (BaseStatsArray[nSpeciesID][1])
		nBreed_Pow = (nPower / nQL) - (BaseStatsArray[nSpeciesID][2])
		nBreed_Spd = (nSpeed / nQL) - (BaseStatsArray[nSpeciesID][3])
		
		nBreedID = calculateName(nBreed_HP, nBreed_Pow, nBreed_Spd)
	else
		nBreedID = "ERR-PID"
	end
	
	return nBreedID
end

function GetBreedID_Battle(self)
	if (self) then
		local nPetID = C_PetBattles.GetPetSpeciesID(self.petOwner, self.petIndex)
		local nLevel = C_PetBattles.GetLevel(self.petOwner, self.petIndex)
		local nMaxHP = C_PetBattles.GetMaxHealth(self.petOwner, self.petIndex)
		local nPower = C_PetBattles.GetPower(self.petOwner, self.petIndex)
		local nSpeed = C_PetBattles.GetSpeed(self.petOwner, self.petIndex)
		local nQL = (1 + ((C_PetBattles.GetBreedQuality(self.petOwner, self.petIndex) - 1) / 10)) * nLevel
		
		if (nPetID) then
			--Calculate breed values
			if (C_PetBattles.IsWildBattle() and self.petOwner == 2) then --if pet is wild, add 20% hp to get the normal stat
				nBreed_HP = (((nMaxHP * 1.2) - 100) / (5 * nQL)) - (BaseStatsArray[nPetID][1])
			else
				nBreed_HP = ((nMaxHP - 100) / (5 * nQL)) - (BaseStatsArray[nPetID][1])
			end

			nBreed_Pow = (nPower / nQL) - (BaseStatsArray[nPetID][2])
			
			if (C_PetBattles.GetPetType(self.petOwner, self.petIndex) == 3 and C_PetBattles.GetHealth(self.petOwner, self.petIndex) / nMaxHP > .5) then
				nBreed_Spd = ((nSpeed / 1.5) / nQL) - (BaseStatsArray[nPetID][3])
			else
				nBreed_Spd = (nSpeed / nQL) - (BaseStatsArray[nPetID][3])
			end
			
			nBreedID = calculateName(nBreed_HP, nBreed_Pow, nBreed_Spd)
		else
			nBreedID = "ERR-PID"
		end
	else
		nBreedID = "ERR_SLF"
	end
	
	return nBreedID
end

breedCache = {}

local function Hook_PetBattleUnitFrame_UpdateDisplay(self)
	if not self.petOwner or not self.petIndex then return end
	
	if self.Name then
		local name = C_PetBattles.GetName(self.petOwner, self.petIndex)
		if name then self.Name:SetText(name.." ("..GetBreedID_Battle(self)..")") end
	end
end

hooksecurefunc("PetBattleUnitFrame_UpdateDisplay", Hook_PetBattleUnitFrame_UpdateDisplay)

math.round = function(number, precision)
	precision = precision or 0

	local decimal = string.find(tostring(number), ".", nil, true);
	
	if ( decimal ) then	
		local power = 10 ^ precision;
		
		if ( number >= 0 ) then 
			number = math.floor(number * power + 0.5) / power;
		else 
			number = math.ceil(number * power - 0.5) / power;		
		end
		
		-- convert number to string for formatting
		number = tostring(number);			
		
		-- set cutoff
		local cutoff = number:sub(decimal + 1 + precision);
			
		-- delete everything after the cutoff
		number = number:gsub(cutoff, "");
	else
		-- number is an integer
		if ( precision > 0 ) then
			number = tostring(number);
			
			number = number .. ".";
			
			for i = 1,precision
			do
				number = number .. "0";
			end
		end
	end		
	return number;
end

BaseStatsArray = {}
BaseStatsArray[2] = {510.5, 8.02, 9.5}
BaseStatsArray[39] = {8.5, 7.5, 8.02}
BaseStatsArray[40] = {7.004, 8.5, 8.5}
BaseStatsArray[41] = {7.004, 8.5, 8.5}
BaseStatsArray[42] = {6.5, 9.02, 8.5}
BaseStatsArray[43] = {7.004, 9.02, 8.02}
BaseStatsArray[44] = {7.004, 8.5, 8.5}
BaseStatsArray[45] = {7.004, 8.5, 8.5}
BaseStatsArray[46] = {7.5, 7.5, 9.02}
BaseStatsArray[47] = {8.004, 7.5, 8.5}
BaseStatsArray[49] = {9.004, 7.02, 8.02}
BaseStatsArray[50] = {9.004, 8.02, 7.02}
BaseStatsArray[51] = {8.5, 8.02, 7.5}
BaseStatsArray[52] = {8.004, 8.02, 8.02}
BaseStatsArray[55] = {8.5, 7.02, 8.5}
BaseStatsArray[56] = {8.5, 9.02, 6.5}
BaseStatsArray[57] = {8.5, 7.5, 8.02}
BaseStatsArray[58] = {7.004, 9.02, 8.02}
BaseStatsArray[59] = {8.5, 8.02, 7.5}
BaseStatsArray[64] = {8.5, 7.5, 8.02}
BaseStatsArray[65] = {8.5, 7.5, 8.02}
BaseStatsArray[67] = {8.004, 8.02, 8.02}
BaseStatsArray[68] = {8.004, 8.02, 8.02}
BaseStatsArray[69] = {7.5, 7.5, 9.02}
BaseStatsArray[70] = {8.004, 7.5, 8.5}
BaseStatsArray[71] = {8.004, 8.02, 8.02}
BaseStatsArray[72] = {8.004, 7.02, 9.02}
BaseStatsArray[73] = {8.004, 8.02, 8.02}
BaseStatsArray[74] = {7.5, 7.5, 9.02}
BaseStatsArray[75] = {7.5, 8.5, 8.02}
BaseStatsArray[77] = {8.004, 8.02, 8.02}
BaseStatsArray[78] = {7.5, 8.5, 8.02}
BaseStatsArray[83] = {8.5, 7.5, 8.02}
BaseStatsArray[84] = {8.004, 8.02, 8.02}
BaseStatsArray[85] = {8.5, 7.5, 8.02}
BaseStatsArray[86] = {8.5, 7.5, 8.02}
BaseStatsArray[87] = {8.004, 8.5, 7.5}
BaseStatsArray[89] = {8.004, 8.02, 8.02}
BaseStatsArray[90] = {7.004, 8.5, 8.5}
BaseStatsArray[92] = {8.004, 8.02, 8.02}
BaseStatsArray[93] = {6.5, 9.02, 8.5}
BaseStatsArray[94] = {7.004, 7.02, 10.02}
BaseStatsArray[95] = {8.004, 8.02, 8.02}
BaseStatsArray[106] = {8.5, 7.5, 8.02}
BaseStatsArray[107] = {8.004, 8.02, 8.02}
BaseStatsArray[111] = {8.004, 8.02, 8.02}
BaseStatsArray[114] = {8.5, 8.5, 7.02}
BaseStatsArray[115] = {8.004, 8.02, 8.02}
BaseStatsArray[116] = {8.004, 8.02, 8.02}
BaseStatsArray[117] = {8.004, 8.02, 8.02}
BaseStatsArray[118] = {8.004, 8.02, 8.02}
BaseStatsArray[119] = {8.004, 8.02, 8.02}
BaseStatsArray[120] = {8.004, 8.02, 8.02}
BaseStatsArray[121] = {8.004, 8.02, 8.02}
BaseStatsArray[122] = {8.004, 8.02, 8.02}
BaseStatsArray[124] = {8.004, 8.02, 8.02}
BaseStatsArray[125] = {8.004, 8.02, 8.02}
BaseStatsArray[126] = {8.004, 8.02, 8.02}
BaseStatsArray[127] = {8.004, 7.5, 8.5}
BaseStatsArray[128] = {8.004, 8.02, 8.02}
BaseStatsArray[130] = {8.004, 8.02, 8.02}
BaseStatsArray[131] = {8.004, 7.5, 8.5}
BaseStatsArray[132] = {9.004, 8.02, 7.02}
BaseStatsArray[136] = {8.004, 8.02, 8.02}
BaseStatsArray[137] = {8.004, 7.02, 9.02}
BaseStatsArray[138] = {8.5, 7.5, 8.02}
BaseStatsArray[139] = {7.5, 8.5, 8.02}
BaseStatsArray[140] = {8.004, 8.5, 7.5}
BaseStatsArray[141] = {7.5, 7.5, 9.02}
BaseStatsArray[142] = {8.004, 8.5, 7.5}
BaseStatsArray[143] = {7.5, 8.5, 8.02}
BaseStatsArray[144] = {7.5, 7.5, 9.02}
BaseStatsArray[145] = {8.5, 7.5, 8.02}
BaseStatsArray[146] = {7.5, 8.02, 8.5}
BaseStatsArray[149] = {7.5, 7.02, 9.5}
BaseStatsArray[153] = {8.004, 8.02, 8.02}
BaseStatsArray[155] = {8.004, 8.02, 8.02}
BaseStatsArray[156] = {8.004, 8.02, 8.02}
BaseStatsArray[157] = {8.004, 8.02, 8.02}
BaseStatsArray[158] = {8.004, 8.02, 8.02}
BaseStatsArray[159] = {8.004, 8.02, 8.02}
BaseStatsArray[160] = {8.004, 8.02, 8.02}
BaseStatsArray[162] = {8.004, 8.5, 7.5}
BaseStatsArray[163] = {8.004, 8.5, 7.5}
BaseStatsArray[164] = {8.004, 8.5, 7.5}
BaseStatsArray[165] = {8.5, 7.5, 8.02}
BaseStatsArray[166] = {8.5, 8.5, 7.02}
BaseStatsArray[167] = {9.004, 7.5, 7.5}
BaseStatsArray[168] = {8.5, 7.5, 8.02}
BaseStatsArray[169] = {8.004, 8.02, 8.02}
BaseStatsArray[170] = {8.004, 8.02, 8.02}
BaseStatsArray[171] = {8.004, 8.02, 8.02}
BaseStatsArray[172] = {7.5, 8.5, 8.02}
BaseStatsArray[173] = {8.004, 8.5, 7.5}
BaseStatsArray[174] = {8.004, 8.5, 7.5}
BaseStatsArray[175] = {7.5, 8.5, 8.02}
BaseStatsArray[179] = {8.5, 8.02, 7.5}
BaseStatsArray[180] = {8.5, 8.02, 7.5}
BaseStatsArray[183] = {8.004, 8.02, 8.02}
BaseStatsArray[186] = {7.5, 8.5, 8.02}
BaseStatsArray[187] = {8.5, 8.5, 7.02}
BaseStatsArray[188] = {8.5, 8.5, 7.02}
BaseStatsArray[189] = {8.004, 8.02, 8.02}
BaseStatsArray[190] = {8.5, 8.5, 7.02}
BaseStatsArray[191] = {8.5, 7.5, 8.02}
BaseStatsArray[192] = {8.004, 8.02, 8.02}
BaseStatsArray[193] = {8.004, 8.5, 7.5}
BaseStatsArray[194] = {8.004, 8.02, 8.02}
BaseStatsArray[195] = {7.5, 7.5, 9.02}
BaseStatsArray[196] = {8.5, 8.02, 7.5}
BaseStatsArray[197] = {7.5, 8.02, 8.5}
BaseStatsArray[198] = {8.004, 8.02, 8.02}
BaseStatsArray[199] = {8.004, 8.02, 8.02}
BaseStatsArray[200] = {8.004, 7.02, 9.02}
BaseStatsArray[201] = {8.004, 8.02, 8.02}
BaseStatsArray[202] = {8.004, 8.02, 8.02}
BaseStatsArray[203] = {8.004, 7.02, 9.02}
BaseStatsArray[204] = {8.004, 8.02, 8.02}
BaseStatsArray[205] = {8.004, 8.02, 8.02}
BaseStatsArray[206] = {8.5, 8.5, 7.02}
BaseStatsArray[207] = {8.004, 8.02, 8.02}
BaseStatsArray[209] = {8.004, 8.02, 8.02}
BaseStatsArray[210] = {8.004, 8.02, 8.02}
BaseStatsArray[211] = {8.5, 8.02, 7.5}
BaseStatsArray[212] = {8.004, 8.02, 8.02}
BaseStatsArray[213] = {8.004, 8.02, 8.02}
BaseStatsArray[214] = {8.004, 8.02, 8.02}
BaseStatsArray[215] = {8.5, 7.5, 8.02}
BaseStatsArray[216] = {8.004, 8.02, 8.02}
BaseStatsArray[217] = {8.004, 8.02, 8.02}
BaseStatsArray[218] = {8.5, 7.5, 8.02}
BaseStatsArray[220] = {8.004, 8.02, 8.02}
BaseStatsArray[224] = {7.004, 8.5, 8.5}
BaseStatsArray[225] = {8.004, 8.02, 8.02}
BaseStatsArray[226] = {8.004, 8.02, 8.02}
BaseStatsArray[227] = {8.004, 8.02, 8.02}
BaseStatsArray[228] = {8.004, 8.02, 8.02}
BaseStatsArray[229] = {8.004, 8.02, 8.02}
BaseStatsArray[231] = {8.5, 8.02, 7.5}
BaseStatsArray[232] = {7.004, 8.5, 8.5}
BaseStatsArray[233] = {7.004, 8.5, 8.5}
BaseStatsArray[234] = {7.004, 8.5, 8.5}
BaseStatsArray[235] = {7.004, 8.5, 8.5}
BaseStatsArray[236] = {7.5, 8.5, 8.02}
BaseStatsArray[237] = {7.004, 8.5, 8.5}
BaseStatsArray[238] = {7.004, 8.5, 8.5}
BaseStatsArray[239] = {8.004, 8.02, 8.02}
BaseStatsArray[240] = {8.5, 8.5, 7.02}
BaseStatsArray[241] = {8.004, 8.02, 8.02}
BaseStatsArray[242] = {7.5, 8.5, 8.02}
BaseStatsArray[243] = {9.004, 9.02, 6.02}
BaseStatsArray[244] = {8.5, 9.02, 6.5}
BaseStatsArray[245] = {8.004, 8.02, 8.02}
BaseStatsArray[246] = {8.004, 8.02, 8.02}
BaseStatsArray[247] = {8.004, 8.02, 8.02}
BaseStatsArray[248] = {8.004, 8.02, 8.02}
BaseStatsArray[249] = {8.5, 8.5, 7.02}
BaseStatsArray[250] = {7.5, 9.02, 7.5}
BaseStatsArray[251] = {8.5, 8.5, 7.02}
BaseStatsArray[253] = {8.004, 8.02, 8.02}
BaseStatsArray[254] = {8.004, 8.02, 8.02}
BaseStatsArray[255] = {7.5, 9.02, 7.5}
BaseStatsArray[256] = {8.004, 9.02, 7.02}
BaseStatsArray[257] = {8.004, 8.02, 8.02}
BaseStatsArray[258] = {8.5, 9.02, 6.5}
BaseStatsArray[259] = {8.5, 7.5, 8.02}
BaseStatsArray[260] = {8.004, 8.5, 7.5}
BaseStatsArray[261] = {8.5, 7.5, 8.02}
BaseStatsArray[262] = {8.5, 7.5, 8.02}
BaseStatsArray[264] = {8.5, 8.5, 7.02}
BaseStatsArray[265] = {9.5, 8.02, 6.5}
BaseStatsArray[266] = {8.5, 8.5, 7.02}
BaseStatsArray[267] = {8.004, 8.02, 8.02}
BaseStatsArray[268] = {8.5, 9.02, 6.5}
BaseStatsArray[270] = {8.5, 8.5, 7.02}
BaseStatsArray[271] = {8.004, 7.5, 8.5}
BaseStatsArray[272] = {9.004, 7.5, 7.5}
BaseStatsArray[277] = {8.5, 7.5, 8.02}
BaseStatsArray[278] = {8.004, 8.02, 8.02}
BaseStatsArray[279] = {8.004, 8.02, 8.02}
BaseStatsArray[280] = {8.004, 8.02, 8.02}
BaseStatsArray[281] = {8.004, 8.02, 8.02}
BaseStatsArray[282] = {8.004, 8.02, 8.02}
BaseStatsArray[283] = {8.004, 8.02, 8.02}
BaseStatsArray[285] = {8.004, 9.02, 7.02}
BaseStatsArray[286] = {9.004, 8.02, 7.02}
BaseStatsArray[287] = {8.004, 7.5, 8.5}
BaseStatsArray[289] = {9.5, 8.5, 6.02}
BaseStatsArray[291] = {9.004, 7.5, 7.5}
BaseStatsArray[292] = {8.004, 8.02, 8.02}
BaseStatsArray[293] = {8.004, 8.02, 8.02}
BaseStatsArray[294] = {8.004, 8.02, 8.02}
BaseStatsArray[296] = {8.004, 8.02, 8.02}
BaseStatsArray[297] = {8.004, 9.5, 6.5}
BaseStatsArray[298] = {8.004, 8.02, 8.02}
BaseStatsArray[301] = {7.004, 8.5, 8.5}
BaseStatsArray[302] = {8.5, 8.5, 7.02}
BaseStatsArray[303] = {7.004, 8.5, 8.5}
BaseStatsArray[306] = {7.004, 8.5, 8.5}
BaseStatsArray[307] = {8.004, 8.02, 8.02}
BaseStatsArray[308] = {8.004, 8.02, 8.02}
BaseStatsArray[309] = {6.5, 9.02, 8.5}
BaseStatsArray[310] = {8.004, 8.02, 8.02}
BaseStatsArray[311] = {8.5, 8.02, 7.5}
BaseStatsArray[316] = {8.5, 7.5, 8.02}
BaseStatsArray[317] = {8.5, 8.5, 7.02}
BaseStatsArray[318] = {7.5, 8.5, 8.02}
BaseStatsArray[319] = {6.5, 9.02, 8.5}
BaseStatsArray[320] = {8.5, 7.5, 8.02}
BaseStatsArray[321] = {8.004, 8.02, 8.02}
BaseStatsArray[323] = {8.004, 8.02, 8.02}
BaseStatsArray[325] = {7.5, 9.02, 7.5}
BaseStatsArray[328] = {8.004, 8.02, 8.02}
BaseStatsArray[329] = {8.004, 8.02, 8.02}
BaseStatsArray[330] = {8.004, 8.02, 8.02}
BaseStatsArray[331] = {8.004, 8.02, 8.02}
BaseStatsArray[332] = {8.004, 8.02, 8.02}
BaseStatsArray[333] = {8.004, 8.02, 8.02}
BaseStatsArray[335] = {9.004, 7.5, 7.5}
BaseStatsArray[336] = {8.004, 8.02, 8.02}
BaseStatsArray[337] = {8.004, 8.02, 8.02}
BaseStatsArray[338] = {8.5, 7.5, 8.02}
BaseStatsArray[339] = {8.004, 8.02, 8.02}
BaseStatsArray[340] = {8.004, 8.02, 8.02}
BaseStatsArray[341] = {8.004, 8.02, 8.02}
BaseStatsArray[342] = {8.004, 8.02, 8.02}
BaseStatsArray[343] = {7.004, 8.5, 8.5}
BaseStatsArray[344] = {8.5, 8.02, 7.5}
BaseStatsArray[345] = {8.004, 8.5, 7.5}
BaseStatsArray[346] = {8.004, 8.02, 8.02}
BaseStatsArray[347] = {8.004, 8.74, 7.26}
BaseStatsArray[348] = {8.5, 8.5, 7.02}
BaseStatsArray[354] = {8.004, 8.02, 8.02}
BaseStatsArray[374] = {8.004, 8.02, 8.02}
BaseStatsArray[375] = {8.004, 8.02, 8.02}
BaseStatsArray[378] = {8.004, 7.02, 9.02}
BaseStatsArray[379] = {8.004, 7.5, 8.5}
BaseStatsArray[380] = {8.004, 8.02, 8.02}
BaseStatsArray[381] = {8.004, 8.02, 8.02}
BaseStatsArray[382] = {8.004, 8.02, 8.02}
BaseStatsArray[383] = {8.004, 7.5, 8.5}
BaseStatsArray[384] = {8.004, 8.02, 8.02}
BaseStatsArray[385] = {8.004, 7.5, 8.5}
BaseStatsArray[386] = {8.004, 7.5, 8.5}
BaseStatsArray[387] = {7.5, 8.02, 8.5}
BaseStatsArray[388] = {8.5, 8.02, 7.5}
BaseStatsArray[389] = {8.5, 7.5, 8.02}
BaseStatsArray[390] = {8.004, 7.5, 8.5}
BaseStatsArray[391] = {8.004, 7.02, 9.02}
BaseStatsArray[392] = {8.004, 7.5, 8.5}
BaseStatsArray[393] = {8.5, 7.02, 8.5}
BaseStatsArray[394] = {8.004, 8.02, 8.02}
BaseStatsArray[395] = {8.5, 8.02, 7.5}
BaseStatsArray[396] = {7.004, 8.5, 8.5}
BaseStatsArray[397] = {8.004, 8.02, 8.02}
BaseStatsArray[398] = {8.004, 7.5, 8.5}
BaseStatsArray[399] = {7.5, 8.02, 8.5}
BaseStatsArray[400] = {7.004, 8.5, 8.5}
BaseStatsArray[401] = {8.5, 8.02, 7.5}
BaseStatsArray[402] = {8.5, 8.02, 7.5}
BaseStatsArray[403] = {7.5, 8.02, 8.5}
BaseStatsArray[404] = {8.004, 7.5, 8.5}
BaseStatsArray[405] = {7.5, 8.02, 8.5}
BaseStatsArray[406] = {8.5, 7.5, 8.02}
BaseStatsArray[407] = {7.004, 8.5, 8.5}
BaseStatsArray[408] = {7.5, 8.02, 8.5}
BaseStatsArray[409] = {7.004, 8.02, 9.02}
BaseStatsArray[410] = {8.004, 7.5, 8.5}
BaseStatsArray[411] = {8.004, 8.02, 8.02}
BaseStatsArray[412] = {7.004, 8.5, 8.5}
BaseStatsArray[414] = {8.004, 8.02, 8.02}
BaseStatsArray[415] = {7.5, 8.5, 8.02}
BaseStatsArray[416] = {8.004, 8.02, 8.02}
BaseStatsArray[417] = {8.004, 7.5, 8.5}
BaseStatsArray[418] = {7.5, 8.02, 8.5}
BaseStatsArray[419] = {8.5, 7.5, 8.02}
BaseStatsArray[420] = {8.5, 7.5, 8.02}
BaseStatsArray[421] = {8.004, 8.5, 7.5}
BaseStatsArray[422] = {7.5, 8.5, 8.02}
BaseStatsArray[423] = {8.5, 8.5, 7.02}
BaseStatsArray[424] = {8.5, 7.02, 8.5}
BaseStatsArray[425] = {7.5, 8.02, 8.5}
BaseStatsArray[427] = {7.004, 8.5, 8.5}
BaseStatsArray[428] = {7.004, 8.5, 8.5}
BaseStatsArray[429] = {7.5, 8.5, 8.02}
BaseStatsArray[430] = {8.004, 8.5, 7.5}
BaseStatsArray[431] = {7.5, 8.02, 8.5}
BaseStatsArray[432] = {8.004, 8.02, 8.02}
BaseStatsArray[433] = {7.5, 8.02, 8.5}
BaseStatsArray[434] = {8.004, 8.02, 8.02}
BaseStatsArray[437] = {8.004, 8.02, 8.02}
BaseStatsArray[438] = {7.5, 8.02, 8.5}
BaseStatsArray[439] = {8.5, 8.02, 7.5}
BaseStatsArray[440] = {8.004, 8.02, 8.02}
BaseStatsArray[441] = {8.004, 7.02, 9.02}
BaseStatsArray[442] = {9.004, 6.5, 8.5}
BaseStatsArray[443] = {8.004, 8.02, 8.02}
BaseStatsArray[444] = {8.004, 8.02, 8.02}
BaseStatsArray[445] = {8.004, 8.02, 8.02}
BaseStatsArray[446] = {8.5, 8.02, 7.5}
BaseStatsArray[447] = {8.004, 7.5, 8.5}
BaseStatsArray[448] = {8.004, 7.02, 9.02}
BaseStatsArray[449] = {8.004, 8.02, 8.02}
BaseStatsArray[450] = {9.004, 8.02, 7.02}
BaseStatsArray[452] = {8.004, 8.02, 8.02}
BaseStatsArray[453] = {9.004, 8.02, 7.02}
BaseStatsArray[454] = {8.004, 7.5, 8.5}
BaseStatsArray[455] = {8.004, 8.02, 8.02}
BaseStatsArray[456] = {8.004, 8.5, 7.5}
BaseStatsArray[457] = {9.004, 8.02, 7.02}
BaseStatsArray[458] = {8.5, 8.5, 7.02}
BaseStatsArray[459] = {7.004, 8.5, 8.5}
BaseStatsArray[460] = {7.5, 8.5, 8.02}
BaseStatsArray[461] = {9.004, 8.02, 7.02}
BaseStatsArray[462] = {8.004, 8.02, 8.02}
BaseStatsArray[463] = {9.004, 9.02, 6.02}
BaseStatsArray[464] = {8.004, 8.02, 8.02}
BaseStatsArray[465] = {7.004, 8.5, 8.5}
BaseStatsArray[466] = {7.5, 8.02, 8.5}
BaseStatsArray[467] = {7.5, 8.5, 8.02}
BaseStatsArray[468] = {7.5, 8.5, 8.02}
BaseStatsArray[469] = {7.004, 8.5, 8.5}
BaseStatsArray[470] = {7.004, 8.5, 8.5}
BaseStatsArray[471] = {8.5, 7.5, 8.02}
BaseStatsArray[472] = {8.5, 7.5, 8.02}
BaseStatsArray[473] = {9.004, 7.5, 7.5}
BaseStatsArray[474] = {6.004, 8.02, 10.02}
BaseStatsArray[475] = {8.5, 7.02, 8.5}
BaseStatsArray[476] = {7.5, 7.5, 9.02}
BaseStatsArray[477] = {7.5, 7.5, 9.02}
BaseStatsArray[478] = {8.5, 8.02, 7.5}
BaseStatsArray[479] = {8.004, 6.5, 9.5}
BaseStatsArray[480] = {8.004, 8.5, 7.5}
BaseStatsArray[482] = {7.5, 8.02, 8.5}
BaseStatsArray[483] = {8.5, 7.5, 8.02}
BaseStatsArray[484] = {7.004, 8.5, 8.5}
BaseStatsArray[485] = {9.004, 7.5, 7.5}
BaseStatsArray[486] = {8.004, 7.5, 8.5}
BaseStatsArray[487] = {8.004, 8.02, 8.02}
BaseStatsArray[488] = {7.5, 8.02, 8.5}
BaseStatsArray[489] = {8.004, 8.5, 7.5}
BaseStatsArray[491] = {7.004, 9.02, 8.02}
BaseStatsArray[492] = {8.004, 8.5, 7.5}
BaseStatsArray[493] = {9.5, 8.5, 6.02}
BaseStatsArray[494] = {8.004, 8.02, 8.02}
BaseStatsArray[495] = {8.5, 7.5, 8.02}
BaseStatsArray[496] = {9.5, 8.5, 6.02}
BaseStatsArray[497] = {8.5, 7.02, 8.5}
BaseStatsArray[498] = {8.5, 8.02, 7.5}
BaseStatsArray[499] = {8.004, 7.5, 8.5}
BaseStatsArray[500] = {8.004, 8.02, 8.02}
BaseStatsArray[502] = {8.5, 7.5, 8.02}
BaseStatsArray[503] = {7.5, 7.5, 9.02}
BaseStatsArray[504] = {8.004, 8.5, 7.5}
BaseStatsArray[505] = {7.5, 8.02, 8.5}
BaseStatsArray[506] = {7.004, 8.5, 8.5}
BaseStatsArray[507] = {7.5, 8.5, 8.02}
BaseStatsArray[508] = {8.004, 8.02, 8.02}
BaseStatsArray[509] = {8.004, 8.02, 8.02}
BaseStatsArray[510] = {8.5, 7.5, 8.02}
BaseStatsArray[511] = {7.5, 8.02, 8.5}
BaseStatsArray[512] = {7.5, 8.5, 8.02}
BaseStatsArray[513] = {8.004, 8.02, 8.02}
BaseStatsArray[514] = {8.004, 8.02, 8.02}
BaseStatsArray[515] = {8.004, 8.02, 8.02}
BaseStatsArray[517] = {8.004, 8.02, 8.02}
BaseStatsArray[518] = {9.004, 8.5, 6.5}
BaseStatsArray[519] = {8.5, 8.02, 7.5}
BaseStatsArray[521] = {7.004, 9.02, 8.02}
BaseStatsArray[523] = {9.004, 8.02, 7.02}
BaseStatsArray[525] = {8.004, 8.02, 8.02}
BaseStatsArray[528] = {7.5, 8.02, 8.5}
BaseStatsArray[529] = {8.004, 8.02, 8.02}
BaseStatsArray[530] = {8.004, 8.02, 8.02}
BaseStatsArray[532] = {8.5, 9.02, 6.5}
BaseStatsArray[534] = {7.5, 8.5, 8.02}
BaseStatsArray[535] = {8.004, 8.02, 8.02}
BaseStatsArray[536] = {8.5, 8.02, 7.5}
BaseStatsArray[537] = {8.5, 8.02, 7.5}
BaseStatsArray[538] = {8.5, 8.5, 7.02}
BaseStatsArray[539] = {8.004, 7.5, 8.5}
BaseStatsArray[540] = {8.004, 7.5, 8.5}
BaseStatsArray[541] = {8.5, 7.02, 8.5}
BaseStatsArray[542] = {8.5, 7.5, 8.02}
BaseStatsArray[543] = {7.5, 8.5, 8.02}
BaseStatsArray[544] = {8.5, 8.5, 7.02}
BaseStatsArray[545] = {8.004, 8.02, 8.02}
BaseStatsArray[546] = {7.5, 8.5, 8.02}
BaseStatsArray[547] = {8.004, 7.02, 9.02}
BaseStatsArray[548] = {7.5, 8.5, 8.02}
BaseStatsArray[549] = {8.004, 8.02, 8.02}
BaseStatsArray[550] = {8.004, 7.5, 8.5}
BaseStatsArray[552] = {7.5, 8.5, 8.02}
BaseStatsArray[553] = {8.004, 7.5, 8.5}
BaseStatsArray[554] = {7.5, 8.5, 8.02}
BaseStatsArray[555] = {8.5, 7.02, 8.5}
BaseStatsArray[556] = {7.5, 8.5, 8.02}
BaseStatsArray[557] = {7.5, 8.5, 8.02}
BaseStatsArray[558] = {8.004, 8.02, 8.02}
BaseStatsArray[559] = {7.5, 9.02, 7.5}
BaseStatsArray[560] = {8.5, 7.5, 8.02}
BaseStatsArray[562] = {7.5, 8.02, 8.5}
BaseStatsArray[564] = {9.5, 7.5, 7.02}
BaseStatsArray[565] = {8.5, 7.5, 8.02}
BaseStatsArray[566] = {7.5, 7.5, 9.02}
BaseStatsArray[567] = {7.5, 8.02, 8.5}
BaseStatsArray[568] = {9.5, 8.5, 6.02}
BaseStatsArray[569] = {8.5, 7.5, 8.02}
BaseStatsArray[570] = {8.004, 8.02, 8.02}
BaseStatsArray[571] = {7.5, 8.02, 8.5}
BaseStatsArray[572] = {8.5, 8.02, 7.5}
BaseStatsArray[573] = {9.004, 7.02, 8.02}
BaseStatsArray[626] = {7.5, 8.02, 8.5}
BaseStatsArray[627] = {8.5, 8.5, 7.02}
BaseStatsArray[628] = {8.5, 8.02, 7.5}
BaseStatsArray[629] = {8.5, 8.02, 7.5}
BaseStatsArray[630] = {8.004, 8.02, 8.02}
BaseStatsArray[631] = {7.5, 8.02, 8.5}
BaseStatsArray[632] = {7.5, 8.02, 8.5}
BaseStatsArray[633] = {8.004, 8.02, 8.02}
BaseStatsArray[634] = {7.004, 8.5, 8.5}
BaseStatsArray[635] = {7.5, 8.02, 8.5}
BaseStatsArray[637] = {8.004, 8.02, 8.02}
BaseStatsArray[638] = {8.5, 7.02, 8.5}
BaseStatsArray[639] = {8.004, 7.5, 8.5}
BaseStatsArray[640] = {8.004, 7.02, 9.02}
BaseStatsArray[641] = {8.004, 7.02, 9.02}
BaseStatsArray[644] = {8.004, 7.5, 8.5}
BaseStatsArray[645] = {8.004, 8.02, 8.02}
BaseStatsArray[646] = {8.004, 8.02, 8.02}
BaseStatsArray[647] = {8.004, 8.02, 8.02}
BaseStatsArray[648] = {9.004, 7.5, 7.5}
BaseStatsArray[649] = {9.004, 7.5, 7.5}
BaseStatsArray[650] = {8.5, 8.02, 7.5}
BaseStatsArray[652] = {8.004, 8.02, 8.02}
BaseStatsArray[665] = {7.5, 8.5, 8.02}
BaseStatsArray[666] = {8.004, 8.02, 8.02}
BaseStatsArray[671] = {8.004, 8.02, 8.02}
BaseStatsArray[675] = {8.004, 7.5, 8.5}
BaseStatsArray[677] = {8.004, 8.02, 8.02}
BaseStatsArray[678] = {8.004, 8.02, 8.02}
BaseStatsArray[679] = {8.004, 8.02, 8.02}
BaseStatsArray[680] = {8.004, 8.02, 8.02}
BaseStatsArray[699] = {7.004, 8.5, 8.5}
BaseStatsArray[702] = {8.5, 7.5, 8.02}
BaseStatsArray[703] = {8.004, 8.02, 8.02}
BaseStatsArray[705] = {8.004, 8.5, 7.5}
BaseStatsArray[706] = {8.004, 8.02, 8.02}
BaseStatsArray[707] = {8.004, 8.02, 8.02}
BaseStatsArray[708] = {8.004, 7.5, 8.5}
BaseStatsArray[709] = {8.004, 7.5, 8.5}
BaseStatsArray[710] = {8.004, 8.02, 8.02}
BaseStatsArray[711] = {8.004, 8.02, 8.02}
BaseStatsArray[712] = {8.004, 8.02, 8.02}
BaseStatsArray[713] = {9.004, 7.5, 7.5}
BaseStatsArray[714] = {7.004, 8.5, 8.5}
BaseStatsArray[715] = {8.004, 8.02, 8.02}
BaseStatsArray[716] = {7.004, 8.5, 8.5}
BaseStatsArray[717] = {7.5, 8.5, 8.02}
BaseStatsArray[718] = {8.004, 8.02, 8.02}
BaseStatsArray[722] = {7.5, 8.5, 8.02}
BaseStatsArray[723] = {9.004, 7.5, 7.5}
BaseStatsArray[724] = {8.004, 8.02, 8.02}
BaseStatsArray[725] = {8.004, 8.02, 8.02}
BaseStatsArray[726] = {7.004, 8.5, 8.5}
BaseStatsArray[727] = {8.004, 8.02, 8.02}
BaseStatsArray[728] = {8.004, 8.02, 8.02}
BaseStatsArray[729] = {8.004, 7.02, 9.02}
BaseStatsArray[730] = {8.004, 7.02, 9.02}
BaseStatsArray[731] = {7.004, 8.5, 8.5}
BaseStatsArray[732] = {8.004, 8.5, 7.5}
BaseStatsArray[733] = {8.004, 8.02, 8.02}
BaseStatsArray[737] = {6.5, 8.02, 9.5}
BaseStatsArray[739] = {7.004, 8.02, 9.02}
BaseStatsArray[740] = {8.004, 7.5, 8.5}
BaseStatsArray[741] = {8.004, 8.02, 8.02}
BaseStatsArray[742] = {8.004, 8.02, 8.02}
BaseStatsArray[743] = {9.5, 8.5, 6.02}
BaseStatsArray[744] = {8.5, 7.02, 8.5}
BaseStatsArray[745] = {8.004, 8.02, 8.02}
BaseStatsArray[746] = {8.5, 9.02, 6.5}
BaseStatsArray[747] = {7.5, 8.5, 8.02}
BaseStatsArray[748] = {8.004, 8.5, 7.5}
BaseStatsArray[749] = {8.004, 8.02, 8.02}
BaseStatsArray[750] = {8.004, 8.02, 8.02}
BaseStatsArray[751] = {8.004, 7.5, 8.5}
BaseStatsArray[752] = {9.004, 7.5, 7.5}
BaseStatsArray[753] = {7.5, 8.5, 8.02}
BaseStatsArray[754] = {8.004, 8.02, 8.02}
BaseStatsArray[755] = {9.004, 6.5, 8.5}
BaseStatsArray[756] = {8.5, 7.02, 8.5}
BaseStatsArray[757] = {8.5, 8.02, 7.5}
BaseStatsArray[758] = {7.5, 8.5, 8.02}
BaseStatsArray[792] = {8.004, 8.5, 7.5}
BaseStatsArray[800] = {8.004, 8.02, 8.02}
BaseStatsArray[802] = {8.5, 8.5, 7.02}
BaseStatsArray[817] = {8.5, 8.02, 7.5}
BaseStatsArray[818] = {8.004, 8.5, 7.5}
BaseStatsArray[819] = {7.5, 8.5, 8.02}
BaseStatsArray[820] = {8.004, 8.02, 8.02}
BaseStatsArray[821] = {8.004, 8.02, 8.02}
BaseStatsArray[823] = {8.004, 8.02, 8.02}
BaseStatsArray[824] = {8.004, 8.02, 8.02}
BaseStatsArray[825] = {8.004, 8.02, 8.02}
BaseStatsArray[826] = {8.004, 8.02, 8.02}
BaseStatsArray[827] = {8.004, 8.02, 8.02}
BaseStatsArray[828] = {8.004, 8.02, 8.02}
BaseStatsArray[829] = {8.004, 8.02, 8.02}
BaseStatsArray[830] = {8.004, 8.02, 8.02}
BaseStatsArray[831] = {8.004, 8.02, 8.02}
BaseStatsArray[832] = {8.004, 8.02, 8.02}
BaseStatsArray[833] = {8.004, 8.02, 8.02}
BaseStatsArray[834] = {8.5, 8.02, 7.5}
BaseStatsArray[835] = {8.004, 8.02, 8.02}
BaseStatsArray[836] = {7.5, 7.02, 9.5}
BaseStatsArray[837] = {8.5, 8.02, 7.5}
BaseStatsArray[838] = {8.004, 8.02, 8.02}
BaseStatsArray[844] = {8.004, 8.5, 7.5}
BaseStatsArray[845] = {8.004, 8.02, 8.02}
BaseStatsArray[846] = {6.004, 8.02, 10.02}
BaseStatsArray[847] = {8.004, 8.02, 8.02}
BaseStatsArray[848] = {8.004, 7.02, 9.02}
BaseStatsArray[849] = {8.004, 8.02, 8.02}
BaseStatsArray[850] = {8.004, 8.02, 8.02}
BaseStatsArray[851] = {7.5, 8.02, 8.5}
BaseStatsArray[855] = {7.5, 8.5, 8.02}
BaseStatsArray[856] = {8.004, 8.02, 8.02}
BaseStatsArray[868] = {8.004, 8.02, 8.02}
BaseStatsArray[872] = {8.004, 8.02, 8.02}
BaseStatsArray[873] = {8.004, 8.02, 8.02}
BaseStatsArray[874] = {8.004, 8.02, 8.02}
BaseStatsArray[875] = {8.004, 8.02, 8.02}
BaseStatsArray[876] = {8.004, 8.02, 8.02}
BaseStatsArray[877] = {8.004, 8.02, 8.02}
BaseStatsArray[878] = {8.004, 8.02, 8.02}
BaseStatsArray[879] = {8.004, 8.02, 8.02}
BaseStatsArray[880] = {8.004, 8.02, 8.02}
BaseStatsArray[881] = {8.004, 8.02, 8.02}
BaseStatsArray[882] = {8.004, 8.02, 8.02}
BaseStatsArray[883] = {8.004, 8.02, 8.02}
BaseStatsArray[884] = {8.004, 8.02, 8.02}
BaseStatsArray[885] = {8.004, 8.02, 8.02}
BaseStatsArray[886] = {8.004, 8.02, 8.02}
BaseStatsArray[887] = {8.004, 8.02, 8.02}
BaseStatsArray[888] = {8.004, 8.02, 8.02}
BaseStatsArray[889] = {8.004, 8.02, 8.02}
BaseStatsArray[890] = {8.004, 8.02, 8.02}
BaseStatsArray[891] = {8.004, 8.02, 8.02}
BaseStatsArray[892] = {8.004, 8.02, 8.02}
BaseStatsArray[893] = {8.004, 8.02, 8.02}
BaseStatsArray[894] = {8.004, 8.02, 8.02}
BaseStatsArray[895] = {8.004, 8.02, 8.02}
BaseStatsArray[896] = {8.004, 8.02, 8.02}
BaseStatsArray[897] = {8.004, 8.02, 8.02}
BaseStatsArray[898] = {8.004, 8.02, 8.02}
BaseStatsArray[899] = {8.004, 8.02, 8.02}
BaseStatsArray[900] = {8.004, 8.02, 8.02}
BaseStatsArray[901] = {8.004, 8.02, 8.02}
BaseStatsArray[902] = {8.004, 8.02, 8.02}
BaseStatsArray[903] = {7.5, 9.02, 7.5}
BaseStatsArray[904] = {8.004, 8.02, 8.02}
BaseStatsArray[905] = {8.004, 8.02, 8.02}
BaseStatsArray[906] = {8.004, 8.02, 8.02}
BaseStatsArray[907] = {8.004, 8.02, 8.02}
BaseStatsArray[908] = {8.004, 8.02, 8.02}
BaseStatsArray[909] = {8.004, 8.02, 8.02}
BaseStatsArray[911] = {8.004, 8.5, 7.5}
BaseStatsArray[912] = {8.004, 8.5, 7.5}
BaseStatsArray[913] = {8.004, 8.5, 7.5}
BaseStatsArray[915] = {8.004, 8.02, 8.02}
BaseStatsArray[916] = {8.004, 8.02, 8.02}
BaseStatsArray[917] = {8.004, 8.02, 8.02}
BaseStatsArray[921] = {8.004, 8.02, 8.02}
BaseStatsArray[922] = {8.004, 8.02, 8.02}
BaseStatsArray[923] = {8.5, 7.5, 8.02}
BaseStatsArray[924] = {8.004, 8.02, 8.02}
BaseStatsArray[925] = {8.004, 8.02, 8.02}
BaseStatsArray[926] = {8.004, 8.02, 8.02}
BaseStatsArray[927] = {8.004, 8.02, 8.02}
BaseStatsArray[928] = {8.004, 8.02, 8.02}
BaseStatsArray[929] = {8.004, 8.02, 8.02}
BaseStatsArray[931] = {8.004, 8.02, 8.02}
BaseStatsArray[932] = {8.004, 8.02, 8.02}
BaseStatsArray[933] = {8.004, 8.02, 8.02}
BaseStatsArray[934] = {8.004, 8.02, 8.02}
BaseStatsArray[935] = {8.004, 8.02, 8.02}
BaseStatsArray[936] = {8.004, 8.02, 8.02}
BaseStatsArray[937] = {8.004, 8.02, 8.02}
BaseStatsArray[938] = {8.004, 8.02, 8.02}
BaseStatsArray[939] = {8.004, 8.02, 8.02}
BaseStatsArray[941] = {8.004, 8.02, 8.02}
BaseStatsArray[942] = {8.004, 8.02, 8.02}
BaseStatsArray[943] = {8.004, 8.02, 8.02}
BaseStatsArray[944] = {8.004, 8.02, 8.02}
BaseStatsArray[945] = {8.004, 8.02, 8.02}
BaseStatsArray[946] = {8.004, 8.02, 8.02}
BaseStatsArray[947] = {8.004, 8.02, 8.02}
BaseStatsArray[948] = {8.004, 8.02, 8.02}
BaseStatsArray[949] = {8.004, 8.02, 8.02}
BaseStatsArray[950] = {8.004, 8.02, 8.02}
BaseStatsArray[951] = {8.004, 8.02, 8.02}
BaseStatsArray[952] = {8.004, 8.02, 8.02}
BaseStatsArray[953] = {8.004, 8.02, 8.02}
BaseStatsArray[954] = {8.004, 8.02, 8.02}
BaseStatsArray[955] = {8.004, 8.02, 8.02}
BaseStatsArray[956] = {8.004, 8.02, 8.02}
BaseStatsArray[957] = {8.004, 8.02, 8.02}
BaseStatsArray[958] = {8.004, 8.02, 8.02}
BaseStatsArray[959] = {8.004, 8.02, 8.02}
BaseStatsArray[960] = {8.004, 8.02, 8.02}
BaseStatsArray[961] = {8.004, 8.02, 8.02}
BaseStatsArray[962] = {8.004, 8.02, 8.02}
BaseStatsArray[963] = {8.004, 8.02, 8.02}
BaseStatsArray[964] = {8.004, 8.02, 8.02}
BaseStatsArray[965] = {8.004, 8.02, 8.02}
BaseStatsArray[966] = {8.004, 8.02, 8.02}
BaseStatsArray[967] = {8.004, 8.02, 8.02}
BaseStatsArray[968] = {8.004, 8.02, 8.02}
BaseStatsArray[969] = {8.004, 8.02, 8.02}
BaseStatsArray[970] = {8.004, 8.02, 8.02}
BaseStatsArray[971] = {8.004, 8.02, 8.02}
BaseStatsArray[972] = {8.004, 8.02, 8.02}
BaseStatsArray[973] = {8.004, 8.02, 8.02}
BaseStatsArray[974] = {8.004, 8.02, 8.02}
BaseStatsArray[975] = {8.004, 8.02, 8.02}
BaseStatsArray[976] = {8.004, 8.02, 8.02}
BaseStatsArray[977] = {8.5, 8.5, 8.5}
BaseStatsArray[978] = {8.5, 8.5, 8.5}
BaseStatsArray[979] = {8.5, 8.5, 8.5}
BaseStatsArray[980] = {8.5, 8.5, 8.5}
BaseStatsArray[981] = {8.5, 8.5, 8.5}
BaseStatsArray[982] = {8.5, 8.5, 8.5}
BaseStatsArray[983] = {8.5, 8.5, 8.5}
BaseStatsArray[984] = {8.5, 8.5, 8.5}
BaseStatsArray[985] = {8.5, 8.5, 8.5}
BaseStatsArray[986] = {8.5, 8.5, 8.5}
BaseStatsArray[987] = {8.5, 8.5, 8.5}
BaseStatsArray[988] = {8.5, 8.5, 8.5}
BaseStatsArray[989] = {8.004, 8.02, 8.02}
BaseStatsArray[990] = {8.004, 8.02, 8.02}
BaseStatsArray[991] = {8.004, 8.02, 8.02}
BaseStatsArray[992] = {8.004, 8.02, 8.02}
BaseStatsArray[993] = {8.004, 8.02, 8.02}
BaseStatsArray[994] = {8.004, 8.02, 8.02}
BaseStatsArray[995] = {8.004, 8.02, 8.02}
BaseStatsArray[996] = {8.004, 8.02, 8.02}
BaseStatsArray[997] = {8.004, 8.02, 8.02}
BaseStatsArray[998] = {8.004, 8.02, 8.02}
BaseStatsArray[999] = {8.004, 8.02, 8.02}
BaseStatsArray[1000] = {8.004, 8.02, 8.02}
BaseStatsArray[1001] = {8.004, 8.02, 8.02}
BaseStatsArray[1002] = {9.004, 9.02, 9.02}
BaseStatsArray[1003] = {9.004, 9.02, 9.02}
BaseStatsArray[1004] = {8.004, 8.02, 8.02}
BaseStatsArray[1005] = {8.004, 8.02, 8.02}
BaseStatsArray[1006] = {8.004, 8.02, 8.02}
BaseStatsArray[1007] = {8.004, 8.02, 8.02}
BaseStatsArray[1008] = {8.004, 8.02, 8.02}
BaseStatsArray[1009] = {8.004, 8.02, 8.02}
BaseStatsArray[1010] = {8.004, 8.02, 8.02}
BaseStatsArray[1011] = {8.004, 8.02, 8.02}
BaseStatsArray[1012] = {8.004, 8.02, 8.02}
BaseStatsArray[1013] = {9.004, 7.5, 7.5}
BaseStatsArray[1042] = {6.748, 10.5, 6.74}
BaseStatsArray[1073] = {8.004, 8.02, 8.02}